CVE-2005-0078

Current Description

The KDE screen saver in KDE before 3.0.5 does not properly check the return value from a certain function call, which allows attackers with physical access to cause a crash and access the desktop session.

Basic Data

PublishedMay 02, 2005
Last ModifiedOctober 11, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:L/AC:L/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorLOCAL
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score4.6
SeverityMEDIUM
Exploitability Score3.9
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegetrue
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3OSDebianDebian Linux3.0*woody*****
    2.3OSKdeKde1.0*******
    2.3OSKdeKde1.1*******
    2.3OSKdeKde1.1.1*******
    2.3OSKdeKde1.1.2*******
    2.3OSKdeKde2.0*******
    2.3OSKdeKde2.0.1*******
    2.3OSKdeKde2.1*******
    2.3OSKdeKde2.1_beta1*******
    2.3OSKdeKde2.1_beta2*******
    2.3OSKdeKde2.2*******
    2.3OSKdeKde2.2.1*******
    2.3OSKdeKde2.2_beta1*******
    2.3OSKdeKde3.0*******
    2.3OSKdeKde3.0.1*******
    2.3OSKdeKde3.0.2*******
    2.3OSKdeKde3.0.3*******
    2.3OSKdeKde3.0.4*******
    2.3OSKdeKde3.0_beta_1*******
    2.3OSKdeKde3.0_beta_2*******
    2.3OSRedhatEnterprise Linux2.1*advanced_server*****
    2.3OSRedhatEnterprise Linux2.1*enterprise_server*****
    2.3OSRedhatEnterprise Linux2.1*workstation*****
    2.3OSRedhatEnterprise Linux3.0*advanced_servers*****
    2.3OSRedhatEnterprise Linux3.0*enterprise_server*****
    2.3OSRedhatEnterprise Linux3.0*workstation*****
    2.3OSRedhatEnterprise Linux Desktop3.0*******
    2.3OSRedhatLinux Advanced Workstation2.1*******

Vulnerable Software List

VendorProductVersions
Debian Debian Linux 3.0
Redhat Enterprise Linux 2.1, 3.0
Redhat Enterprise Linux Desktop 3.0
Redhat Linux Advanced Workstation 2.1
Kde Kde 1.0, 1.1, 1.1.1, 1.1.2, 2.0, 2.0.1, 2.1, 2.1_beta1, 2.1_beta2, 2.2, 2.2.1, 2.2_beta1, 3.0, 3.0.1, 3.0.2, 3.0.3, 3.0.4, 3.0_beta_1, 3.0_beta_2

References

NameSourceURLTags
DSA-660http://www.debian.org/security/2005/dsa-660DEBIANPatch Vendor Advisory
RHSA-2005:009http://www.redhat.com/support/errata/RHSA-2005-009.htmlREDHATPatch Vendor Advisory
kdebase-screensaver-security-bypass(19084)https://exchange.xforce.ibmcloud.com/vulnerabilities/19084XF
oval:org.mitre.oval:def:9260https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9260OVAL